aboutsummaryrefslogtreecommitdiffstats
path: root/package/ltq-dsl-app/files
diff options
context:
space:
mode:
authorJohn Crispin <blogic@openwrt.org>2011-02-01 14:30:38 +0000
committerJohn Crispin <blogic@openwrt.org>2011-02-01 14:30:38 +0000
commit448df0ccf7a79fae3a8aef8882720669fc9f0dc7 (patch)
tree1069d44383ae54ab84f4f9c7c62d9fe8797f4f74 /package/ltq-dsl-app/files
parent79a047aa996b7e7edb15c14e20d3889850b8039c (diff)
downloadupstream-448df0ccf7a79fae3a8aef8882720669fc9f0dc7.tar.gz
upstream-448df0ccf7a79fae3a8aef8882720669fc9f0dc7.tar.bz2
upstream-448df0ccf7a79fae3a8aef8882720669fc9f0dc7.zip
[ltq-dsl]
* rename lqdsl packages to ltq-dsl * small rework of packages * make it work with latest kernel git-svn-id: svn://svn.openwrt.org/openwrt/trunk@25274 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/ltq-dsl-app/files')
-rw-r--r--package/ltq-dsl-app/files/ifx_cpe_control_init.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/package/ltq-dsl-app/files/ifx_cpe_control_init.sh b/package/ltq-dsl-app/files/ifx_cpe_control_init.sh
new file mode 100644
index 0000000000..91316938ce
--- /dev/null
+++ b/package/ltq-dsl-app/files/ifx_cpe_control_init.sh
@@ -0,0 +1,21 @@
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2008 OpenWrt.org
+START=99
+
+start() {
+
+ # start CPE dsl daemon in the background
+ /sbin/dsl_cpe_control -i -f /lib/firmware/ModemHWE.bin &
+
+# PS=`ps`
+# echo $PS | grep -q dsl_cpe_control && {
+# # workaround for nfs: allow write to pipes for non-root
+# while [ ! -e /tmp/pipe/dsl_cpe1_ack ] ; do sleep 1; done
+# chmod a+w /tmp/pipe/dsl_*
+# }
+ echo $PS | grep -q dsl_cpe_control || {
+ echo "Start of dsl_cpe_control failed!!!"
+ false
+ }
+
+}